version: '3.9'
services:
  backend:
    container_name: url-shortener-api
    build:
      context: ..
      dockerfile: compose/Dockerfile
      target: develop
    working_dir: /code/src
    command: python main.py
    ports:
      - "8000:80"
    env_file:
      - ./envs/.env
    volumes:
        - ../src:/code/src
        - ../migrations:/code/migrations
    depends_on:
      - postgres

  postgres:
    image: postgres:15-alpine3.18
    container_name: postgres
    restart: always
    environment:
      POSTGRES_USER: "postgres"
      POSTGRES_PASSWORD: "password"
      POSTGRES_DB: "shortener"
    ports:
      - "15432:5432"
